# firebase-functions-api

Get started with Cloud Functions For Firebase, Firebase Realtime Database and Cloud Firestore.

## Setup
1. Install [Node.js](https://nodejs.org/en/download/)
2. Create a project on [Firebase](https://console.firebase.google.com/) and note down the Project ID
3. Replace the project id in the `.firebaserc` with your Project ID

## Install
```
npm install
```

## Configure
```
npm run config:get
OPEN_WEATHER_MAP_KEY={KEY} npm run config:set
```

## Test
```
npm test
```

## Build
```
npm run build
npm run build:watch
```

## Start
```
npm start
npm run start:shell
```

## Deploy
```
npm run deploy
```

## Presentation
https://goo.gl/6oRm8t

## Learn More

[Firebase Realtime Database](https://firebase.google.com/docs/database/)

[Firebase Cloud Firestore](https://firebase.google.com/docs/firestore/)

[Firebase Cloud Functions](https://firebase.google.com/docs/functions/)
